---
title: Create or update evaluation form
slug: create-or-update-evaluation-form
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "A3m2RUY4OwUPP1GOmDEvf",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/evaluations/forms/",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/evaluations/forms/"
      }
    ],
    "name": "Create or update evaluation form",
    "description": "<p>Idempotent upsert of an EvaluationForm with nested questions and criterias. Lookup by <code>guid</code>; creates when not found, updates in place when found. Returns 201 on create, 200 on update, 400 on validation failure. Missing <code>questions</code> or <code>criterias</code> in the payload are preserved (no delete); entries matched by <code>guid</code> are updated, entries without a matching <code>guid</code> are created.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "<p>EvaluationForm guid; present → update, absent → create</p>"
            },
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": "",
              "maxLength": 500
            },
            {
              "name": "taskType",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "<p>TaskType guid; required when compliance=true</p>"
            },
            {
              "name": "required",
              "kind": "optional",
              "type": "boolean",
              "description": "",
              "default": true
            },
            {
              "name": "visible",
              "kind": "optional",
              "type": "boolean",
              "description": "",
              "default": true
            },
            {
              "name": "incident",
              "kind": "optional",
              "type": "boolean",
              "description": "",
              "default": false
            },
            {
              "name": "compliance",
              "kind": "optional",
              "type": "boolean",
              "description": "",
              "default": false
            },
            {
              "name": "questions",
              "kind": "optional",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "object",
              "customType": "object[]",
              "schema": [
                {
                  "name": "guid",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "title",
                  "kind": "required",
                  "type": "string",
                  "description": "",
                  "maxLength": 500
                },
                {
                  "name": "type",
                  "kind": "required",
                  "type": "object",
                  "description": "",
                  "complexType": "oneOf",
                  "complexItems": [],
                  "schema": []
                },
                {
                  "name": "required",
                  "kind": "optional",
                  "type": "boolean",
                  "description": "",
                  "default": false
                },
                {
                  "name": "imageRequired",
                  "kind": "optional",
                  "type": "boolean",
                  "description": "",
                  "default": false
                },
                {
                  "name": "orderId",
                  "kind": "optional",
                  "type": "integer",
                  "description": ""
                },
                {
                  "name": "criterias",
                  "kind": "required",
                  "type": "array",
                  "description": "",
                  "example": "",
                  "itemType": "object",
                  "customType": "object[]",
                  "schema": [
                    {
                      "name": "guid",
                      "kind": "optional",
                      "type": "string",
                      "description": ""
                    },
                    {
                      "name": "title",
                      "kind": "required",
                      "type": "string",
                      "description": "",
                      "minLength": 1,
                      "maxLength": 255
                    },
                    {
                      "name": "customAnswer",
                      "kind": "optional",
                      "type": "boolean",
                      "description": "",
                      "default": false
                    }
                  ]
                }
              ]
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when an existing form was updated",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "201",
        "description": "Returned when a new form was created",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "taskType",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "deleted",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "published",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "visible",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "required",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "version",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "updated",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "guid",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "questions",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "required",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "imageRequired",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "orderId",
                    "kind": "optional",
                    "type": "integer",
                    "description": ""
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "criterias",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "title",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "customAnswer",
                        "kind": "optional",
                        "type": "boolean",
                        "description": ""
                      },
                      {
                        "name": "guid",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Validation failed",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "",
                "example": "",
                "customType": "map<string, string[]>",
                "schema": []
              },
              {
                "name": "data",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "cCqZn-OHJKPw54jC6sn47",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/evaluations/forms/ \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"title\": \"\",\n     \"required\": true,\n     \"visible\": true,\n     \"questions\": [\n     {\n     \"title\": \"\",\n     \"type\": \"\",\n     \"criterias\": [\n     {\n     \"title\": \"\"\n     }\n     ]\n     }\n     ]\n     }'"
        },
        {
          "id": "rxGKV2h-kb4oUhnDRNb53",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"title\": \"\",\n   \"required\": true,\n   \"visible\": true,\n   \"questions\": [\n      {\n         \"title\": \"\",\n         \"type\": \"\",\n         \"criterias\": [\n            {\n               \"title\": \"\"\n            }\n         ]\n      }\n   ]\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/evaluations/forms/\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "OISnDwcLX9eXJY0CowJsz",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/evaluations/forms/\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"title\": \"\",\n   \"required\": true,\n   \"visible\": true,\n   \"questions\": [\n      {\n         \"title\": \"\",\n         \"type\": \"\",\n         \"criterias\": [\n            {\n               \"title\": \"\"\n            }\n         ]\n      }\n   ]\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "87Gf4NztYlDMP2JkvA0de",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/evaluations/forms/\"\n\npayload = json.dumps({\n   \"title\": \"\",\n   \"required\": True,\n   \"visible\": True,\n   \"questions\": [\n      {\n         \"title\": \"\",\n         \"type\": \"\",\n         \"criterias\": [\n            {\n               \"title\": \"\"\n            }\n         ]\n      }\n   ]\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "cCqZn-OHJKPw54jC6sn47"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Returned when an existing form was updated\n{}"
        },
        {
          "id": "response-1-201",
          "language": "201",
          "code": "// Returned when a new form was created\n{\n  \"title\": \"\",\n  \"taskType\": \"\",\n  \"deleted\": false,\n  \"published\": false,\n  \"visible\": false,\n  \"required\": false,\n  \"version\": 0,\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"guid\": \"\",\n  \"questions\": [\n    {\n      \"title\": \"\",\n      \"required\": false,\n      \"imageRequired\": false,\n      \"orderId\": 0,\n      \"guid\": \"\",\n      \"criterias\": [\n        {\n          \"title\": \"\",\n          \"customAnswer\": false,\n          \"guid\": \"\"\n        }\n      ]\n    }\n  ]\n}"
        },
        {
          "id": "response-2-400",
          "language": "400",
          "code": "// Validation failed\n{\n  \"errors\": \"\",\n  \"data\": {}\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}